// pages/member/buyList/buyList.js
Page({

	/**
	 * 页面的初始数据
	 */
	data: {
		page: 1,
    limit: 10,
		totalPages: 1,
		buyList:[
			{
				startDate:'2021.07.15',
				endDate:'2022.07.15',
				totalDay:'365',
				date:'2021.07.17',
				status:'1'

			},
			{
				startDate:'2021.07.15',
				endDate:'2022.07.15',
				totalDay:'365',
				date:'2021.07.17',
				status:'0'

			}
		]
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {
     this.getbuyList();
	},

	/**
	 * 生命周期函数--监听页面初次渲染完成
	 */
	onReady: function () {

	},

	/**
	 * 生命周期函数--监听页面显示
	 */
	onShow: function () {

	},

	/**
	 * 生命周期函数--监听页面隐藏
	 */
	onHide: function () {

	},

	/**
	 * 生命周期函数--监听页面卸载
	 */
	onUnload: function () {

	},

	/**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
	onPullDownRefresh: function () {

	},

	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom: function () {
		if (this.data.totalPages > this.data.page) {
      this.setData({
        page: this.data.page + 1
			});
      this.getbuyList();
    } else {
      wx.showToast({
        title: '没有更多了',
        icon: 'none',
        duration: 2000
      });
      return false;
    }
	},
	getbuyList(){

	},
	/**
	 * 用户点击右上角分享
	 */
	onShareAppMessage: function () {

	}
})